API reference OpenAPI 3.1
POST /customers/{id}/risk:override

Override risk

Bearer API key or staff session application/json operation overrideRisk

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

Content type: application/json · required

FieldTypeRequiredDescription
band string Yes —
reason string Yes —
curl -X POST "$MONICHEK_API/customers/{id}/risk:override" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "band": "string",
  "reason": "Customer requested review"
}'
const res = await fetch(`${MONICHEK_API}/customers/{id}/risk:override`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "band": "string",
    "reason": "Customer requested review"
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/customers/{id}/risk:override",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "band": "string",
      "reason": "Customer requested review"
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/customers/{id}/risk:override');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'band' => 'string',
        'reason' => 'Customer requested review',
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK overridden application/json
{
  "object": "risk_override",
  "band": "medium"
}